Migration Plugin - Issue #8895

django.core.exceptions.FieldError: Unsupported lookup ‘resource’ for ArrayField or join on the field
not permitted.
Description

v pulpcore 3.14 will deprecate it and 3.15 will remove it.

This needs to be fixed for 3.15.

pulp [d42elbccd6444d1e9992fd63aadf7625]: django.request:ERROR: Internal Server Error: /pulp/api/v3
/migration-plans/5172b292-c16d-45d0-80cb-4577328dbd7f/run/
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/django/core/handlers/exception.py", line 34, in inn
er
response = get_response (request)
File "/usr/local/lib/python3.6/site-packages/django/core/handlers/base.py", line 115, in _get_re
sponse
response = self.process_exception_by_middleware (e, request)
File "/usr/local/lib/python3.6/site-packages/django/core/handlers/base.py", line 113, in _get_re
sponse
response = wrapped_callback (request, *callback_args, **callback_kwargs)
File "/usr/local/lib/python3.6/site-packages/django/views/decorators/csrf.py", line 54, in wrapp
ed_view
return view_func (*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/rest_framework/viewsets.py", line 125, in view
return self.dispatch(request, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/rest_framework/views.py", line 509, in dispatch
response = self.handle_exception (exc)
File "/usr/local/lib/python3.6/site-packages/rest_framework/views.py", line 469, in handle_excep
tion
self.raise_uncaught_exception (exc)
File "/usr/local/lib/python3.6/site-packages/rest_framework/views.py", line 480, in raise_uncaug
ht_exception
raise exc
File "/usr/local/lib/python3.6/site-packages/rest_framework/views.py", line 506, in dispatch
response = handler (request, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/pulp_2to3_migration/app/viewsets.py", line 94, in r
un
if is_migration_plan_running() :
File "/usr/local/lib/python3.6/site-packages/pulp_2to3_migration/app/viewsets.py", line 47, in 1
s_migration_plan_running
reserved_resources_record__resource="pulp_2to3_migration')
File "/usr/local/lib/python3.6/site-packages/django/db/models/manager.py", line 82, in manager_m
ethod
return getattr (self.get_queryset (), name) (*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/django/db/models/query.py", line 892, in filter
return self._filter_or_exclude(False, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/django/db/models/query.py", line 910, in _filter_or
_exclude
clone.query.add_g(Q(*args, **kwargs))
File "/usr/local/lib/python3.6/site-packages/django/db/models/sql/query.py", line 1290, in add_g
clause, _ = self._add_g(g_object, self.used_aliases)
File "/usr/local/lib/python3.6/site-packages/django/db/models/sql/query.py", line 1318, in _add_
q
split_subg=split_subqg, simple_col=simple_col,
File "/usr/local/lib/python3.6/site-packages/django/db/models/sql/query.py", line 1251, in build
_filter
condition = self.build_lookup (lookups, col, value)
File "/usr/local/lib/python3.6/site-packages/django/db/models/sql/query.py", line 1110, in build
_lookup
lhs = self.try_transform(lhs, lookup_name)
File "/usr/local/lib/python3.6/site-packages/django/db/models/sgl/query.py", line 1151, in try_t
ransform
"permitted%$s" % (name, output_field.__ name suggestion)
django.core.exceptions.FieldError: Unsupported lookup 'resource' for ArrayField or join on the fie
1d not permitted.
Associated revisions

Revision 9f0babc8 - 08/27/2021 10:35 PM - ttereshc
Make the plugin compatible with pulpcore 3.14+

New tasking system changes some fields a bit.

closes #8895 https://pulp.plan.io/issues/8895
History

#1 - 06/18/2021 11:14 PM - rchan
- Sprint changed from Sprint 98 to Sprint 99

#2 - 06/28/2021 11:18 AM - ttereshc
- Description updated
- Status changed from ASSIGNED to NEW

- Assignee deleted (ttereshc)

#3 - 07/02/2021 09:23 PM - rchan
- Sprint changed from Sprint 99 to Sprint 100

#4 - 07/15/2021 11:08 PM - rchan
- Sprint changed from Sprint 100 to Sprint 101

#5 - 08/02/2021 07:43 PM - ipanova@redhat.com
- Sprint changed from Sprint 101 to Sprint 102

#6 - 08/12/2021 05:23 PM - rchan
- Sprint changed from Sprint 102 to Sprint 103
#7 - 08/27/2021 05:08 PM - rchan
- Sprint changed from Sprint 103 to Sprint 104

#8 - 08/27/2021 06:19 PM - ttereshc

- Assignee set to ttereshc

#9 - 08/27/2021 10:35 PM - ttereshc
- Status changed from NEW to MODIFIED

Applied in changeset pulp:pulp-2to3-migration|9f0babc827cd5b327e8ef7de469ee44add85fd16.

#10 - 09/01/2021 12:00 AM - ttereshc
- Sprint/Milestone set to 0.14.0

#11 - 09/01/2021 12:16 AM - pulpbot
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE
